package com.ruixuan.jinniu.service;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.common.utils.Result;
import com.ruixuan.jinniu.entity.KuaishouProject;

import java.util.List;

/**
 * 项目信息Service接口
 *
 * @author ruoyi
 * @date 2023-03-14
 */
public interface IKuaishouProjectService {
    /**
     * 查询项目信息
     *
     * @param id 项目信息主键
     * @return 项目信息
     */
    public KuaishouProject selectKuaishouProjectById(Long id);

    /**
     * 查询项目信息列表
     *
     * @param kuaishouProject 项目信息
     * @return 项目信息集合
     */
    public List<KuaishouProject> selectKuaishouProjectList(KuaishouProject kuaishouProject);

    /**
     * 新增项目信息
     *
     * @param kuaishouProject 项目信息
     * @return 结果
     */
    public int insertKuaishouProject(KuaishouProject kuaishouProject);

    /**
     * 修改项目信息
     *
     * @param kuaishouProject 项目信息
     * @return 结果
     */
    public int updateKuaishouProject(KuaishouProject kuaishouProject);

    /**
     * 删除项目信息信息
     *
     * @param id 项目信息主键
     * @return 结果
     */
    public int deleteKuaishouProjectById(Long id);

    Result<Object> getOcpxActionType();

    List<KuaishouProject> getMyProjects(KuaishouProject kuaishouProject);

    Result<Object> getProjectAndAccountByUserId(Long userId, String mediaCode);
}